<script>
export default {
  name: "TutorialTable"
};
</script>

<template>
  <div class="tutorial-container">
    <div class="tutorial-item">
      <h2 class="tutorial-header">Table of Content</h2>
    </div>
    <div class="tutorial-item">
      <div class="tutorial-header">
        <a href="#starter-carbon-emissions">Starter - Carbon Emissions</a>
      </div>
      <div>
        <p>
          Experience a taste of data extraction and loading using Meltano CLI
          followed by analysis using Meltano UI with its automatic SQL
          generation.
        </p>
        <ul>
          <li>SQLite database</li>
          <li>No authentication</li>
          <li>Public carbon emissions dataset</li>
        </ul>
      </div>
    </div>
    <div class="tutorial-item">
      <div class="tutorial-header">
        <a href="#intermediate-salesforce">Intermediate - Salesforce</a>
      </div>
      <div>
        <p>
          Experience the full extract, load, and transorm pipeline with
          authentication using Meltano CLI followed by analysis using Meltano UI
          with its automatic SQL generation.
        </p>
        <ul>
          <li>Postgres database</li>
          <li>Authentication</li>
          <li>Your private Salesforce dataset</li>
        </ul>
      </div>
    </div>
    <div class="tutorial-item">
      <div class="tutorial-header">
        <a href="#intermediate-gitlab">Intermediate - GitLab</a>
      </div>
      <div>
        <p>
          Experience the full extract, load, and transorm pipeline with
          authentication using Meltano CLI followed by analysis using Meltano UI
          with its automatic SQL generation.
        </p>
        <ul>
          <li>Postgres database</li>
          <li>Authentication</li>
          <li>Your private GitLab dataset</li>
        </ul>
      </div>
    </div>
    <div class="tutorial-item">
      <div class="tutorial-header">
        <a href="#advanced-adding-custom-transformations-and-models">
          Advanced - Adding Custom Transformations and Models
        </a>
      </div>
      <div>
        <p>Experience building custom transforms and models.</p>
        <ul>
          <li>Postgres database</li>
          <li>Authentication</li>
          <li>Your private Salesforce dataset</li>
          <li>Custom transforms</li>
          <li>Custom models</li>
        </ul>
      </div>
    </div>
    <div class="tutorial-item">
      <div class="tutorial-header">
        <a href="#advanced-using-tap-postgres-with-meltano">
          Advanced - Using tap-postgres with Meltano
        </a>
      </div>
      <div>
        <p>
          Learn how to run <code>tap-postgres</code> with
          <code>target-postgres</code> in Meltano.
        </p>
      </div>
    </div>
    <div class="tutorial-item">
      <div class="tutorial-header">
        <a href="#advanced-loading-csv-files-to-a-database">
          Advanced - Loading CSV files to a Database
        </a>
      </div>
      <div>
        <p>
          Learn how to load data stored in multiple CSV files to a Postgres
          Database and then use Custom Transforms and Models to combine them
          together and analyze the results.
        </p>
      </div>
    </div>
    <div class="tutorial-item">
      <div class="tutorial-header">
        <a href="#using-jupyter-notebooks">Using Jupyter Notebooks</a>
      </div>
      <div>
        <p>
          Learn how to connect Jupyter Notebook to a Meltano Project that uses
          Postgres to store the transformed data.
        </p>
      </div>
    </div>
  </div>
</template>

<style scoped>
.tutorial-container {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}
.tutorial-item {
  display: flex;
  flex: 1 1 auto;
  flex-direction: column;
  padding-left: 0.5rem;
  padding-right: 0.5rem;
}
.tutorial-header {
  font-weight: bold;
  padding-bottom: 0.75rem;
  margin-right: 0.75rem;
  border-bottom: 1px solid #eaecef;
}

@media screen and (min-width: 768px) {
  .tutorial-item {
    padding-left: 0;
  }
}
</style>
